<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        display: flow-root;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-3.3.1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="bc385dc8-e0ea-4741-be0d-90c829465808" data-root-id="p1004" style="display: contents;"></div>
  
    <script type="application/json" id="p1039">
      {"01e1908f-1e92-46af-b56c-820480f2dd03":{"version":"3.3.1","title":"Bokeh Application","roots":[{"type":"object","name":"Figure","id":"p1004","attributes":{"height":400,"x_range":{"type":"object","name":"DataRange1d","id":"p1006"},"y_range":{"type":"object","name":"FactorRange","id":"p1014","attributes":{"factors":["Sevilla FC","Atletico de Madrid","Getafe CF","FC Barcelona","Celta de Vigo","Athletic Bilbao","Malaga CF","RCD Espanyol Barcelona","Valencia CF","Real Sociedad"]}},"x_scale":{"type":"object","name":"LinearScale","id":"p1015"},"y_scale":{"type":"object","name":"CategoricalScale","id":"p1016"},"title":{"type":"object","name":"Title","id":"p1007","attributes":{"text":"Total Goals Scored by Ronaldo Against Each Opponent"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1034","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1001","attributes":{"selected":{"type":"object","name":"Selection","id":"p1002","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1003"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAACAAAAAwAAAAQAAAAFAAAABgAAAAcAAAAIAAAACQAAAA=="},"shape":[10],"dtype":"int32","order":"little"}],["Opponent",{"type":"ndarray","array":["Sevilla FC","Atletico de Madrid","Getafe CF","FC Barcelona","Celta de Vigo","Athletic Bilbao","Malaga CF","RCD Espanyol Barcelona","Valencia CF","Real Sociedad"],"shape":[10],"dtype":"object","order":"little"}],["Goals",{"type":"ndarray","array":{"type":"bytes","data":"GwAAABkAAAAXAAAAFAAAABQAAAARAAAAEQAAAA8AAAAPAAAADwAAAA=="},"shape":[10],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1035","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1036"}}},"glyph":{"type":"object","name":"HBar","id":"p1031","attributes":{"y":{"type":"field","field":"Opponent"},"height":{"type":"value","value":0.8},"right":{"type":"field","field":"Goals"},"line_color":{"type":"value","value":"white"},"fill_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"HBar","id":"p1032","attributes":{"y":{"type":"field","field":"Opponent"},"height":{"type":"value","value":0.8},"right":{"type":"field","field":"Goals"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"HBar","id":"p1033","attributes":{"y":{"type":"field","field":"Opponent"},"height":{"type":"value","value":0.8},"right":{"type":"field","field":"Goals"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1013","attributes":{"tools":[{"type":"object","name":"HoverTool","id":"p1027","attributes":{"renderers":"auto","tooltips":"Goals: @Goals"}}]}},"left":[{"type":"object","name":"CategoricalAxis","id":"p1022","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1023"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1024"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p1025"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p1017","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1018","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1019"},"axis_label":"Total Goals","axis_label_standoff":12,"major_label_policy":{"type":"object","name":"AllLabels","id":"p1020"}}}],"center":[{"type":"object","name":"Grid","id":"p1021","attributes":{"axis":{"id":"p1017"}}},{"type":"object","name":"Grid","id":"p1026","attributes":{"dimension":1,"axis":{"id":"p1022"},"grid_line_color":null}}]}}]}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('p1039').textContent;
              const render_items = [{"docid":"01e1908f-1e92-46af-b56c-820480f2dd03","roots":{"p1004":"bc385dc8-e0ea-4741-be0d-90c829465808"},"root_ids":["p1004"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>